This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 141577 - irqbalance init script get executed multiple times
irqbalance init script get executed multiple times
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel-utils (Show other bugs)
2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-02 04:16 EST by Michael Bischof
Modified: 2015-01-04 17:13 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-04 09:28:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
patch. (378 bytes, patch)
2004-12-02 05:41 EST, Michael Bischof
no flags Details | Diff

  None (edit)
Description Michael Bischof 2004-12-02 04:16:20 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041107 Firefox/1.0

Description of problem:

The irqbalance init script contains a logical error and fails to touch
the the file /var/lock/subsys/irqbalance. And due to this it get
started multiple times (e.g. booting to level 3 and changing to level
5 later manually)

Version-Release number of selected component (if applicable):
kernel-utils-2.4-9.1.131

How reproducible:
Always

Steps to Reproduce:
1. boot to level 3
2. login
3. change to level 5
    

Additional info:

fix:

--- /etc/rc.d/init.d/irqbalance.orig    2004-12-02 10:09:35.586466571
+0100
+++ /etc/rc.d/init.d/irqbalance 2004-12-02 10:09:44.630434625 +0100
@@ -47,7 +47,7 @@
         daemon irqbalance $ONESHOT
         RETVAL=$?
         echo
-        [ $RETVAL -eq 0 -a -n "$ONESHOT" ] && touch
/var/lock/subsys/irqbalance
+        [ $RETVAL -eq 0 -a -z "$ONESHOT" ] && touch
/var/lock/subsys/irqbalance
        return $RETVAL
 }
Comment 1 Michael Bischof 2004-12-02 05:41:03 EST
Created attachment 107760 [details]
patch.
Comment 2 Matthew Miller 2005-04-26 11:05:54 EDT
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.
Comment 3 John Thacker 2006-05-04 09:28:51 EDT
Closing per previous comment.

Note You need to log in before you can comment on or make changes to this bug.